Bug 987933 - [oVirt] [provider] Type list is not sorted in add dialog
[oVirt] [provider] Type list is not sorted in add dialog
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: m1
: 3.3.2
Assigned To: Lior Vernia
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 08:35 EDT by Mike Kolesnik
Modified: 2015-05-04 21:43 EDT (History)
8 users (show)

See Also:
Fixed In Version: is21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 09:24:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17251 None None None Never

  None (edit)
Description Mike Kolesnik 2013-07-24 08:35:16 EDT
Description of problem:
The "Type" field in the "add provider" dialog is not sorted in any order


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Go to external providers
2. Click the add button
3. click on the type list to open it
  
Actual results:
The list is not sorted


Expected results:
the list should be sorted


Additional info:
Natural order would probably be by a-z
Comment 1 Lior Vernia 2013-10-21 02:25:37 EDT
Fixed by prior to 3.3.1 beta release.
Comment 2 Martin Pavlik 2013-11-01 05:03:28 EDT
works in is21, external provider type is sorted by alphabet
Comment 3 Sandro Bonazzola 2013-12-19 09:24:15 EST
oVirt 3.3.2 has been released resolving the problem described in this bug report.

Note You need to log in before you can comment on or make changes to this bug.